Get leaderboard
Returns the public leaderboard ranked by total P&L, including account value (cash + options mark-to-market) per eligible user. Wallets disqualified by admin review or automatic anti-abuse checks are excluded.
GET
/
v1
/
social
/
leaderboard
Get leaderboard
curl --request GET \
--url https://joyride.exchange/api/v1/social/leaderboardimport requests
url = "https://joyride.exchange/api/v1/social/leaderboard"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://joyride.exchange/api/v1/social/leaderboard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entries": [
{
"rank": 1,
"wallet": "GmQozSzrtMjXt5F1Bed8Vrt55zCbiga8vDZr47RX9wC8",
"available": 10500000000,
"locked": 500000000,
"total_pnl": 2500000000,
"return_pct": 25,
"unrealized_pnl": 2500000000,
"options_value": 10000000000,
"equity": 12500000000,
"username": "alice_sol",
"avatar_url": "/v1/identicon/GmQozSzrtMjXt5F1Bed8Vrt55zCbiga8vDZr47RX9wC8"
}
],
"pagination": {
"page": 1,
"per_page": 100,
"total": 237,
"total_pages": 3,
"has_next": true,
"has_prev": false
}
}Query Parameters
1-based leaderboard page number.
Required range:
x >= 1Number of leaderboard entries per page.
Required range:
1 <= x <= 500⌘I
Get leaderboard
